Support

Submit server certificate renewal request

View as Markdown

Initiates server certificate renewal.

Full description

Initiates server certificate renewal. Returns ACME challenges that the caller must verify using POST verify-acme. Supports a CSR path (RA issues the certificate) and a BYOC path (caller provides the certificate). Only one pending renewal is allowed per agent; 409 if one already exists.

POST
/v1/agents/{agentId}/certificates/server/renewal

Path Parameters

agentId*string

Unique identifier of the agent (UUID format)

Request Body

application/json

Renewal request (CSR or BYOC)

Request to renew server certificate (CSR or BYOC path). Exactly one of serverCsrPEM or serverCertificatePEM must be provided; they are mutually exclusive. serverCertificateChainPEM is only valid when serverCertificatePEM is provided.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agents/string/certificates/server/renewal" \  -H "Content-Type: application/json" \  -d '{}'
{  "renewalType": "SERVER_CSR",  "status": "PENDING_VALIDATION",  "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d",  "challenges": {    "dns01": {      "dnsRecord": {        "name": "_acme-challenge.agent.example.com",        "type": "TXT",        "value": "string"      },      "expiresAt": "2019-08-24T14:15:22Z",      "httpPath": "/.well-known/acme-challenge/xyz123",      "keyAuthorization": "string",      "token": "string",      "type": "DNS_01"    },    "http01": {      "dnsRecord": {        "name": "_acme-challenge.agent.example.com",        "type": "TXT",        "value": "string"      },      "expiresAt": "2019-08-24T14:15:22Z",      "httpPath": "/.well-known/acme-challenge/xyz123",      "keyAuthorization": "string",      "token": "string",      "type": "DNS_01"    }  },  "expiresAt": "2019-08-24T14:15:22Z",  "nextStep": {    "action": "CONFIGURE_DNS",    "description": "string",    "endpoint": "http://example.com"  },  "links": [    {      "href": "https://api.godaddy.com/v1/agents/550e8400-e29b-41d4-a716-446655440000",      "rel": "agent-details"    }  ]}

Last updated on

How is this guide?